> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create A User Token

> Creates a new user token from the `id` of an existing user.

<Note>
[Creating a new user](/api-reference/users#create) will also return a user token in the response.
</Note>




## OpenAPI

````yaml post /v2/user-tokens
openapi: 3.0.0
info:
  title: User Tokens API
  version: '2.0'
  description: >
    Create user tokens for direct embedded Link initializations.


    Use user tokens when initializing embedded Link with the `userToken`
    parameter. Payroll verification session workflows can instead use the
    returned session `link` as `connectUrl` when initializing [Embedded
    Link](/link/initialization/web#initialize-with-connecturl) or launch it
    directly as [Hosted Link](/link/initialization/hosted-link). Banking
    verification session workflows use the returned `link` to launch the banking
    frontend session. For more information, visit
    [Initialization](/link/initialization), our [User Tokens
    Guide](/link/user-tokens), [Verifications
    Guide](/api-reference/verifications-guide), or [Partners Verifications
    Guide](/api-reference/partners-verifications-guide).
servers: []
security:
  - basicAuth: []
paths:
  /v2/user-tokens:
    post:
      summary: Create a user token
      description: >
        Creates a new user token from the `id` of an existing user for direct
        embedded Link initializations.


        <Note>

        [Creating a new user](/api-reference/users#create) will also return a
        user token in the response.

        </Note>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserTokenRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserTokenResponse'
              example:
                user_token: >-
                  eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWQiOiIxNDRhMTRkNJ04YzEzLTQzZGYtOTI4Ni01OWY4NjFkOWEyMDIiLCJleHAiOjE2NzgzOTUwMTEsImZpZCI6ImMyNzFhODRlLWM2MjQtNDNkYS05OGMyLTQzODZkNTk1OWQ4YiIsImlhdCI6MTY3ODM5MTQxMSwiaXNzIjoiYXJneWxlLWNvcmUtYXV0aC1kZXYiLCJqdGkiOiI4ZTk1MTBmNC00YzVlLTRlOTAtOTIyNy1kNjg2MTk3MmMxOTAiLCJzdWIiOiIwMTg2YzRiOC04ZmExLTYyYjMtNDlkZi05NGIzZTE4Y2E4YTciLCJ1c2VyX2lkIjoiMDE4NmM0YjgtOGZhMS02MmIzLTQ5ZGYtOTRiM2UxOGNhOGE3In0.oLrxtzfNHG1RZ85Z4q7VUiv2-kufXmMINJFHeRIjvWo
components:
  schemas:
    CreateUserTokenRequest:
      type: object
      properties:
        user:
          type: string
          format: uuid
          description: ID of the user object.
      required:
        - user
    CreateUserTokenResponse:
      type: object
      properties:
        user_token:
          type: string
          description: The generated user token.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````